#pragma once

#ifdef MSWINDOWS
    #include <windows.h>
#endif


class AL4_clipboard
{
public: 
	static std::string Get_text_from_clipboard();
    static bool Clipboard_has_text();
    static void Set_text_to_clipboard(std::string Text);
    static int Files_from_clipboard(DynAStr* Paths);
    static void Files_to_clipboard(ArrayStr* Paths, byte Op);
    static bool Clipboard_has_files();
};
